﻿/*
=============== 
Variables
===============
*/

:root {
  /* dark shades of primary color*/
  --clr-primary-1: hsl(43, 86%, 17%);
  --clr-primary-2: hsl(43, 77%, 27%);
  --clr-primary-3: hsl(43, 72%, 37%);
  --clr-primary-4: hsl(42, 63%, 48%);
  /* primary/main color */
  --clr-primary-5: hsl(42, 78%, 60%);
  /* lighter shades of primary color */
  --clr-primary-6: hsl(43, 89%, 70%);
  --clr-primary-7: hsl(43, 90%, 76%);
  --clr-primary-8: hsl(45, 86%, 81%);
  --clr-primary-9: hsl(45, 90%, 88%);
  --clr-primary-10: hsl(45, 100%, 96%);
  /* darkest grey - used for headings */
  --clr-grey-1: hsl(209, 61%, 16%);
  --clr-grey-2: hsl(211, 39%, 23%);
  --clr-grey-3: hsl(209, 34%, 30%);
  --clr-grey-4: hsl(209, 28%, 39%);
  /* grey used for paragraphs */
  --clr-grey-5: hsl(210, 22%, 49%);
  --clr-grey-6: hsl(209, 23%, 60%);
  --clr-grey-7: hsl(211, 27%, 70%);
  --clr-grey-8: hsl(210, 31%, 80%);
  --clr-grey-9: hsl(212, 33%, 89%);
  --clr-grey-10: hsl(210, 36%, 96%);
  --clr-white: #fff;
  --ff-primary: "Roboto", sans-serif;
  --ff-secondary: "Open Sans", sans-serif;
  --transition: all 0.3s linear;
  --spacing: 0.25rem;
  --radius: 0.5rem;
  --light-shadow: 0 5px 15px rgba(0, 0, 0, 0.1);
  --dark-shadow: 0 5px 15px rgba(0, 0, 0, 0.2);
  --max-width: 1170px;
}


body {
  
}
label {
    margin: 0;
    padding: 0;
    display: inline;
    font-size: 14px;
    padding-top: .1em;
    padding-right: .5em;
    text-align: right;
    font-family: Arial;
    font-family: "Calibri (Body)";
    font-family: arial, verdana, sans-serif;
}

.Caption {
    margin: 0;
    padding: 0;
    display: block;
    font-size: 14px;
    padding-top: .1em;
    padding-right: .5em;
    width: 25%;
    text-align: right;
    float: left;
    font-family: Arial;
    font-family: "Calibri (Body)";
    font-family: arial, verdana, sans-serif;
}

.Caption1 {
    font-size: 14px;
    font-family: Arial;
    font-family: "Calibri (Body)";
    font-family: arial, verdana, sans-serif;
}




.TextBoxDsc {
    font-size: 14px;
    font-family: Arial;
    font-family: "Calibri (Body)";
    font-family: arial, verdana, sans-serif;
    border: 0;
    background-color: forestgreen;
    width: 900px;
}



.TextBox1 {
    font-size: 14px;
    font-family: Arial;
    font-family: "Calibri (Body)";
    font-family: arial, verdana, sans-serif;
    border: 0;
}

.TextBoxNo {
    font-size: 14px;
    font-family: Arial;
    font-family: "Calibri (Body)";
    font-family: arial, verdana, sans-serif;
    border: 0;
    text-align: right;
}




.button {
    border-radius: 25px;
    background-color: lightblue;
    width: 100px;
    
}

    .button:focus {
        background-color: lightgreen;
    }

    .button:hover {
        background-color: lightgreen;
    }


    .buttonN:focus {
        background-color: lightgreen;
    }

    .buttonN:hover {
        background-color: lightgreen;
    }


    .buttonN1:focus {
        background-color: lightgreen;
    }

    .buttonN1:hover {
        background-color: lightgreen;
    }




.button2 {
    border-radius: 25px;
    background-color: lightblue;
    width: 100px;
    
}

    .button2:focus {
        background-color: lightgreen;
    }

    .button2:hover {
        background-color: lightgreen;
    }





.TextBox {
    font-family: Arial;
    font-family: "Calibri (Body)";
    font-family: arial, verdana, sans-serif;
    height: 20px;
    margin-bottom: 4px;
    max-width: 70%;
    border: 0.1px solid;
    border-color: lightblue;
    border-color: #ccc;
}

    .TextBox:focus {
        border-color: lightgreen;
    }

.TextBox2 {
    font-family: Arial;
    font-family: "Calibri (Body)";
    font-family: arial, verdana, sans-serif;
    height: 20px;
    margin-bottom: 4px;
    max-width: 70%;
    border: 0.1px solid;
    border: none;
    border-color: lightblue;
}


    .TextBox2:focus {
        /*background-color: lightgoldenrodyellow;
        background-color: lavender;*/
        border: none;
    }





.TextBox1:focus {
    /*background-color: lightgoldenrodyellow;
    background-color: lavender;*/
    border: none;
}



.TextBoxGrid {
    background-color: darkgray;
    background-color: whitesmoke;
    background-color: white;
    border: 0.1px solid;
    border-color: cyan;
    border-color: lightblue;
    border: none;
}

    .TextBoxGrid:focus {
        /*background-color: lightgoldenrodyellow;*/
        border: none;
    }

.TextBoxGridDisable {
    background-color: darkgray;
    background-color: whitesmoke;
    border: 0.1px solid;
    border-color: cyan;
    border-color: lightblue;
    border: none;
    font-weight:bold;
}


.TextBoxGridNo {
    background-color: darkgray;
    background-color: whitesmoke;
    background-color: white;
    border: 0.1px solid;
    border-color: cyan;
    border-color: lightblue;
    border: none;
    text-align: right;
}

    .TextBoxGridNo:focus {
        /*background-color: lightgoldenrodyellow;*/
        border: none;
    }

.TextBoxGridDisableNo {
    background-color: darkgray;
    background-color: whitesmoke;
    border: 0.1px solid;
    border-color: cyan;
    border-color: lightblue;
    border: none;
    font-weight: bold;
    text-align: right;
}






.Errlabel {
    margin: 0;
    padding: 0;
    display: block;
    font-size: 14px;
    padding-top: .1em;
    padding-left: 25%;
    width: 100%;
    text-align: left;
    float: left;
    font-family: Arial;
    font-family: "Calibri (Body)";
    font-family: arial, verdana, sans-serif;
    color: red;
}

h2 {
    color: Black;
    font-size: 25px;
    font-family: Arial;
    font-family: "Calibri (Body)";
    font-family: arial, verdana, sans-serif;
    font-weight: bold;
    display: block;
    width: 100%;
    text-align: center;
    background-color: #e5e3e3;
    height: 30px;
}


h3 {
    color: Black;
    font-size: 25px;
    font-family: Arial;
    font-family: "Calibri (Body)";
    font-family: arial, verdana, sans-serif;
    font-weight: bold;
    display: block;
    width: 100%;
    text-align: center;
    background-color: #e5e3e3;
    height: 30px;
}


.Add {
    display: block;
    border-style: none;
    margin-left: auto;
    margin-right: auto;
    height: 48px;
    width: 48px;
    background-image: url('themes/base/images/Add.jpg');
    background-size: cover;
    text-indent: -9999px;
    margin-right: 100px;
}

.Edit {
    display: block;
    border-style: none;
    margin-left: auto;
    margin-right: auto;
    height: 48px;
    width: 48px;
    background-image: url('themes/base/images/Edit.jpg');
    background-size: cover;
    text-indent: -9999px;
    margin-right: 100px;
}

.Delete {
    display: block;
    border-style: none;
    margin-left: auto;
    margin-right: auto;
    height: 48px;
    width: 48px;
    background-image: url('themes/base/images/Delete.jpg');
    background-size: cover;
    text-indent: -9999px;
    margin-right: 100px;
}

.View {
    display: block;
    border-style: none;
    margin-left: auto;
    margin-right: auto;
    height: 48px;
    width: 48px;
    background-image: url('themes/base/images/View.jpg');
    background-size: cover;
    text-indent: -9999px;
    margin-right: 100px;
}

.B1 {
    margin-right: 4px;
}


.Login {
    display: block;
    border-style : none;
    margin-left: auto;
    margin-right: auto;    
    height : 48px;
    width : 48px;
    background-image: url('themes/base/images/login.jpg');  
    background-size : cover; 
     text-indent: -9999px;
}

.Refresh {
    display: block;
    border-style : none;   
    height : 48px;
    width : 48px;
    margin-left: 35%;
    margin-top :0;
    background-image: url('themes/base/images/Refresh.jpg');  
    background-size : cover; 
     text-indent: -9999px;    
}

.submit {
    display: block;
    margin-left: auto;
    margin-right: auto;       
}
.BodyMain {
    background-color: #fbfafa;
    font-family: "Calibri (Body)";
    font-family: arial, verdana, sans-serif;
}

.BodySubMain {
    background-color: var(--clr-grey-10);
    background-color: #ffffff;
    width: 100%;
    height: 80%;
    position: relative;
    font-family: "Calibri (Body)";
    font-family: arial, verdana, sans-serif;
}


/*.BodySub {
    background-color: #ffffff;
    background-color: var(--clr-grey-10);
    background-color: #ffffff;
    width: 103%;
    height: 80%;
    margin-left: auto;
    margin-right: auto;
    margin-left: -16px;
    min-height: 450px;
    position: relative;
    font-family: "Calibri (Body)";
    font-family: arial, verdana, sans-serif;
}*/


.BodySub {
    background-color: var(--clr-grey-10);
    background-color: #ffffff;
    width: 150%;
    width: 166%;
    height: 80%;
    margin-left: auto;
    margin-right: auto;
    margin-left: -300px;
    margin-left: -380px;
    min-height: 800px;
    position: relative;
    font-family: "Calibri (Body)";
    font-family: arial, verdana, sans-serif;
}



.BodySubLogin {
    background-color: #ffffff;
    background-color: var(--clr-grey-10);
    background-color: #ffffff;
    width: 402.36px;
    height: 402.36px;
    width: 375.00px;
    height: 375.00px;
    margin-left: auto;
    margin-right: auto;
    /*min-height: 450px;*/
    position: relative;
    font-family: "Calibri (Body)";
    font-family: arial, verdana, sans-serif;
    border: 0.1px;
    border-style: dotted;
    border-color: blue;
}


/*.BodySubDet {
    background-color: var(--clr-grey-10);
    background-color: #ffffff;
    width: 103%;
    height: 80%;
    margin-left: auto;
    margin-right: auto;
    margin-left: -16px;
    min-height: 550px;
    position: relative;
    font-family: "Calibri (Body)";
    font-family: arial, verdana, sans-serif;
}*/


/*.BodySubDet {
    background-color: var(--clr-grey-10);
    background-color: #ffffff;
    width: 150%;
    width: 166%;
    height: 80%;
    margin-left: auto;
    margin-right: auto;
    margin-left: -300px;
    margin-left: -380px;
    min-height: 800px;
    position: relative;
    font-family: "Calibri (Body)";
    font-family: arial, verdana, sans-serif;
}*/



.BodySubDet {
    background-color: var(--clr-grey-10);
    background-color: #ffffff;
    width: 150%;
    width: 166%;
    height: 80%;
    margin-left: auto;
    margin-right: auto;
    margin-left: -300px;
    margin-left: -380px;
    min-height: 800px;
    position: relative;
    font-family: "Calibri (Body)";
    font-family: arial, verdana, sans-serif;
}






. /*BodySubOrd {
    background-color: var(--clr-grey-10);
    background-color: #ffffff;
    width: 103%;
    height: 80%;
    margin-left: auto;
    margin-right: auto;
    margin-left: -16px;
    min-height: 700px;
    position: relative;
    font-family: "Calibri (Body)";
    font-family: arial, verdana, sans-serif;
}*/
.BodySubOrd {
    background-color: var(--clr-grey-10);
    background-color: #ffffff;
    width: 150%;
    width: 166%;
    height: 80%;
    margin-left: auto;
    margin-right: auto;
    margin-left: -300px;
    margin-left: -380px;
    min-height: 800px;
    position: relative;
    font-family: "Calibri (Body)";
    font-family: arial, verdana, sans-serif;
}




.BodySubTS {
    background-color: var(--clr-grey-10);
    background-color: #ffffff;
    width: 150%;
    width: 166%;
    height: 80%;
    margin-left: auto;
    margin-right: auto;
    margin-left: -300px;
    margin-left: -380px;
    min-height: 800px;
    position: relative;
    font-family: "Calibri (Body)";
    font-family: arial, verdana, sans-serif;
}


/*.BodySubMR {
    background-color: var(--clr-grey-10);
    background-color: #ffffff;
    width: 150%;
    height: 80%;
    margin-left: auto;
    margin-right: auto;
    margin-left: -300px;
    min-height: 800px;
    position: relative;
    font-family: "Calibri (Body)";
    font-family: arial, verdana, sans-serif;
}*/



.BodySubRV {
    background-color: var(--clr-grey-10);
    background-color: #ffffff;
    width: 150%;
    height: 80%;
    margin-left: auto;
    margin-right: auto;
    margin-left: -300px;
    min-height: 800px;
    position: relative;
    font-family: "Calibri (Body)";
    font-family: arial, verdana, sans-serif;
}



.BodyBottom {
    position: absolute;
    bottom: 0;
    width: 100%;
    text-align: center;
    z-index: 9999;
    font-family: "Calibri (Body)";
    font-family: arial, verdana, sans-serif;
}

#DataEntry {
    width: 100%;
    position: absolute;
    top: 50%;
    -moz-transform: translate(0, -50%);
    -o-transform: translate(0, -50%);
    -ms-transform: translate(0, -50%);
    -webkit-transform: translate(0, -50%);
    transform: translate(0, -50%);
    font-family: "Calibri (Body)";
    font-family: arial, verdana, sans-serif;
}

.backList
{
    display: block; 
     width:100%;
     text-align: right;      
}

.javFooter {
    position: fixed;
    display: block;
    width: 100%;
    text-align: center;
    opacity: .5;
    font-family: Arial;
    font-family: "Calibri (Body)";
    font-family: arial, verdana, sans-serif;
    font-size: 75%;
}

.TextArea {
    display: block;
    -moz-box-sizing: content-box;
    -webkit-box-sizing: content-box;
    box-sizing: content-box;
    padding: 0;
    font-family: Arial;
    font-family: "Calibri (Body)";
    font-family: arial, verdana, sans-serif;
    resize: none;
    max-width: 600px;
}

.fieldsetInline {
    display:inline;
    border:none;
    vertical-align: top;    
}

.groupbox
{
    border : 1px solid;
    border-color : #aec7cf;
    padding-left : 1em;
    padding-bottom : .5em;
    padding-top : .5em;
    width:auto;
    display:block;
}

legend {
    width: auto;
    height: auto;
    border: none;
    font-family: Arial;
    font-family: "Calibri (Body)";
    font-family: arial, verdana, sans-serif;
    font-weight: bold;
    font-size: 14px;
}

.checkboxlist
{
    border : 1px solid;
    border-color : #aec7cf;   
    max-width:250px;
    max-height:200px;
    display:block;
    OVERFLOW-Y:scroll;   
    padding-left : .5em;
}

.Err {
    font-size: 14px;
    font-family: Arial;
    font-family: "Calibri (Body)";
    font-family: arial, verdana, sans-serif;
    font-weight: 900;
    color: red;
}

.gridimage{    
    
    border:none;
    height:15px;
    width:15px;     
}

.buttonimage {
    border: none;
    height: 25px;
    width: 25px;
    
}






/*Grid*/
.CSSTableGenerator {
    margin: 0;
    padding: 0;
    width: 100%;
    border: 1px solid #d3e9ff;
    border: 1px solid #ccc;
    -moz-border-radius-bottomleft: 0;
    -webkit-border-radius: 0;
    border-radius: 0;
    -moz-border-radius-bottomright: 0;
    -webkit-border-bottom-right-radius: 0;
    border-bottom-right-radius: 0;
    -moz-border-radius-topright: 0;
    -webkit-border-top-right-radius: 0;
    border-top-right-radius: 0;
    -moz-border-radius-topleft: 0;
    -webkit-border-top-left-radius: 0;
    border-top-left-radius: 0;
}
.CSSTableGenerator table{      
    border-collapse: collapse;
        border-spacing: 0;
	width:100%;
	height:100%;
	margin:0;padding:0;
}
.CSSTableGenerator tr:last-child td:last-child {
	-moz-border-radius-bottomright:0;
	-webkit-border-bottom-right-radius:0;
	border-bottom-right-radius:0;
}
.CSSTableGenerator table tr:first-child td:first-child {
	-moz-border-radius-topleft:0;
	-webkit-border-top-left-radius:0;
	border-top-left-radius:0;
}
.CSSTableGenerator table tr:first-child td:last-child {
	-moz-border-radius-topright:0;
	-webkit-border-top-right-radius:0;
	border-top-right-radius:0;
}.CSSTableGenerator tr:last-child td:first-child{
	-moz-border-radius-bottomleft:0;
	-webkit-border-bottom-left-radius:0;
	border-bottom-left-radius:0;
}.CSSTableGenerator tr:hover td{
	
}
    .CSSTableGenerator tr:nth-child(odd) {
        background-color: #b7d7f7;
        background-color: var(--clr-grey-10);
        background-color: #ffffff;
        background-color: #f0feff;
        /*background-color: #f6feff*/
        background-color: #a2f6ff;
        background-color: #ffffff;
    }
    .CSSTableGenerator tr:nth-child(even) {
        background-color: #d3e9ff;
        background-color: var(--clr-grey-10);
        background-color: #c4faff;
        background-color: #c5dbf2;
        background-color: #ffffff;
    }
    .CSSTableGenerator td {
        vertical-align: top;
        vertical-align: middle;
        border: 1px solid #d3e9ff;
        border: 1px solid #ccc;
        border-width: 0 1px 1px 0;
        text-align: left;
        padding: 7px;
        font-size: 14px;
        font-family: Arial;
        font-family: "Calibri (Body)";
        font-family: arial, verdana, sans-serif;
        font-weight: bold;
        color: #000000;
    }
    .CSSTableGenerator tr:last-child td {
        border-width: 0 1px 0 0;
        
    }
    .CSSTableGenerator tr td:last-child {
        border-width: 0 0 1px 0;
        
    }.CSSTableGenerator tr:last-child td:last-child{
	border-width:0 0 0 0;
}


    .CSSTableGenerator tr:first-child td:first-child {
        border-width: 0 0 1px 0;
    }
    .CSSTableGenerator tr:first-child td:last-child {
        border-width: 0 0 1px 1px;
        
    }

.CSSTableGenerator tr td 
{
    height:30px;    
    min-height:30px;
    max-height:30px;
    line-height:0px;
}

.CSSTableGeneratorHelp tr td {
    height: 30px;
    min-height: 30px;
    max-height: 30px;
    
    line-height: 0px;
}



 .CSSTableGeneratorHelp td {
     height:auto;
    word-wrap: break-word;
    overflow: hidden
}

.CSSTableGenerator thead tr {
    top: 0;
    position: sticky;
    /*background-color: #666;
    color: #fff;*/
    z-index: 20;
    min-height: 30px;
    height: 30px;
    text-align: left;
    background-color: var(--clr-grey-10);
    background-color: #ffffff;
}

.CSSTableGenerator thead td {
    
    color: #ffffff;
}



.CSSTableGenerator tr.tr_selected {
    background-color: yellow;
    background-color: var(--clr-grey-8);

}



/*Grid*/

.CSSTableGenerator_Grid tr:nth-child(odd) {
    background-color: #b7d7f7;
    background-color: var(--clr-grey-10);
    background-color: #ffffff;
    background-color: #f0feff;
    /*background-color: #f6feff*/
    
    background-color: #ffffff;
}


.CSSTableGenerator_Grid tr:nth-child(even) {
    background-color: #d3e9ff;
    background-color: var(--clr-grey-10);
    background-color: #c4faff;
    background-color: #a2f6ff;
    background-color: #c5dbf2;
}





.hidetr {
    display: none;
}


.card {
    height: 27rem;
    position: relative;
    perspective: 1500px;
}

.card-side {
    backface-visibility: hidden;
    transition: all 2s linear;
    position:absolute;
    top:0;
    left:0;
    width: 100%;
    height: 100%;
}



.card-front {
    color: lightblue;
    color: red;
}
 
 
.card-back {
    transform: rotateY( 180deg);
}
.card:hover .card-front {
    transform: rotateY( -180deg);
}

.card:hover .card-back {
    transform: rotateY( 0);
}


/* CARD ALERT*/


.cardAlert {
    height: 27rem;
    position: relative;
    perspective: 1500px;
}

.cardAlert-side {
    backface-visibility: hidden;
    transition: all 2s linear;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}



.cardAlert-front {
    color: lightblue;
    color: red;
}


.cardAlert-back {
    transform: rotateY( 180deg);
}

/*.cardAlert:hover .cardAlert-front {
    transform: rotateY( -180deg);
}

.cardAlert:hover .cardAlert-back {
    transform: rotateY( 0);
}*/

/* CARD ALERT*/




div.ui-datepicker-header
a.ui-datepicker-prev, div.ui-datepicker-header
a.ui-datepicker-next {
    display: none;
}


.gridhead {
    color: cornflowerblue;
    color: lightblue;
    background: lightblue;
    background-color: blue;
    color: white;
}

.gridheadNo {
    color: cornflowerblue;
    color: lightblue;
    background: lightblue;
    background-color: blue;
    text-align: right;
}

.gridheadValue {
    word-wrap: break-word;
    overflow: hidden;
    max-height: none;
    height: auto;
    line-height: normal
}




.DetGrid {
    width:95%;
    border:1px solid #d3e9ff;
    margin-left:auto;
    margin-right:auto;
}

.title {
    background: lightblue;
    background: rgb(36,20,244);
    color:white;
}


/*#frmAlert {
    top: 100px;
    background-color: yellow;
}*/


*#AlertGrid {
    position:relative;
    top: 150px;
    /*background-color:red;*/
}


 .tr_selected {
    background-color: red;
}

.redColor {
    color: red;
}


hr {
    margin-top: 5px;
    height: 1px;
    border-width: 0;
    background-color: #00A4BD;
    background-color: #ccc;
    
}

.TextBox1 {
    font-size: 14px;
    font-family: Arial;
    font-family: "Calibri (Body)";
    font-family: arial, verdana, sans-serif;
    /*border: 0;*/
    border: 1px solid #ccc;
    margin-top: 5px;
}

.button {
    border-radius: 0px;
    border-radius: 10px;
    background-color: blue;
    width: 140px;
    width: 100px;
    height: 40px;
    font-family: "Calibri (Body)";
    font-family: arial, verdana, sans-serif;
    font-size: 1.0em;
    color: white;
    border-style: none;
}


.buttonN {
    border-radius: 0px;
    background-color: blue;
    width: 50px;
    font-family: "Calibri (Body)";
    font-family: arial, verdana, sans-serif;
    font-size: 1.0em;
    color: white;
    border-style: none;
    float: left;
    margin-left: 2px;
}

.buttonN1 {
    border-radius: 0px;
    background-color: blue;
    width: 25px;
    font-family: "Calibri (Body)";
    font-family: arial, verdana, sans-serif;
    font-size: 1.0em;
    color: white;
    border-style: none;
    float: left;
    margin-left: 2px;
}


.Caption8 {
    margin: 0;
    padding: 0;
    display: block;
    font-size: 14px;
    padding-right: .5em;
    text-align: right;
    
    float: left;
    font-family: Arial;
    font-family: "Calibri (Body)";
    font-family: arial, verdana, sans-serif;
}



#GridTdR {
    text-align: right;
    padding-right: 10px;
}

#GridTdL {
    text-align: left;
    
}



/*.disableOT {
    color: forestgreen;
}*/





    




 